cvs diff -u -wb -- test\complex_test.cpp (in directory C:\Sourceforge\boost\libs\math\)
Index: test/complex_test.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/math/test/complex_test.cpp,v
retrieving revision 1.11
diff -u -w -b -r1.11 complex_test.cpp
--- test/complex_test.cpp	6 Mar 2006 11:20:31 -0000	1.11
+++ test/complex_test.cpp	3 Feb 2007 13:34:44 -0000
@@ -26,6 +26,10 @@
 #define BOOST_MESSAGE(x)
 #endif
 
+#if BOOST_WORKAROUND( __BORLANDC__, BOOST_TESTED_AT( 0x582 ))
+# error "Compiler does not support the Boost Test library for floating point"
+#endif
+
 //
 // check_complex:
 // Verifies that expected value "a" and found value "b" have a relative error




cvs diff -u -wb -- abi_suffix.hpp (in directory C:\Sourceforge\boost\boost\config\)
Index: abi_suffix.hpp
===================================================================
RCS file: /cvsroot/boost/boost/boost/config/abi_suffix.hpp,v
retrieving revision 1.1
diff -u -w -b -r1.1 abi_suffix.hpp
--- abi_suffix.hpp	25 Nov 2003 18:28:08 -0000	1.1
+++ abi_suffix.hpp	2 Feb 2007 20:20:10 -0000
@@ -20,4 +20,7 @@
 #  include BOOST_ABI_SUFFIX
 #endif
 
+#if defined( __BORLANDC__ )
+#pragma nopushoptwarn
+#endif
 




cvs diff -u -wb -- abi_prefix.hpp (in directory C:\Sourceforge\boost\boost\config\)
Index: abi_prefix.hpp
===================================================================
RCS file: /cvsroot/boost/boost/boost/config/abi_prefix.hpp,v
retrieving revision 1.1
diff -u -w -b -r1.1 abi_prefix.hpp
--- abi_prefix.hpp	25 Nov 2003 18:28:08 -0000	1.1
+++ abi_prefix.hpp	2 Feb 2007 20:20:14 -0000
@@ -18,3 +18,8 @@
 #ifdef BOOST_HAS_ABI_HEADERS
 #  include BOOST_ABI_PREFIX
 #endif
+
+#if defined( __BORLANDC__ )
+#pragma nopushoptwarn
+#endif
+



cvs diff -u -wb -- detail\abi_prefix.hpp (in directory C:\Sourceforge\boost\boost\archive\)
Index: detail/abi_prefix.hpp
===================================================================
RCS file: /cvsroot/boost/boost/boost/archive/detail/abi_prefix.hpp,v
retrieving revision 1.1
diff -u -w -b -r1.1 abi_prefix.hpp
--- detail/abi_prefix.hpp	27 Jan 2005 16:49:55 -0000	1.1
+++ detail/abi_prefix.hpp	2 Feb 2007 20:20:20 -0000
@@ -13,3 +13,8 @@
 #  pragma warning(push)
 #  pragma warning(disable : 4251 4231 4660 4275)
 #endif
+
+#if defined( __BORLANDC__ )
+#pragma nopushoptwarn
+#endif
+



cvs diff -u -wb -- detail\abi_suffix.hpp (in directory C:\Sourceforge\boost\boost\archive\)
Index: detail/abi_suffix.hpp
===================================================================
RCS file: /cvsroot/boost/boost/boost/archive/detail/abi_suffix.hpp,v
retrieving revision 1.1
diff -u -w -b -r1.1 abi_suffix.hpp
--- detail/abi_suffix.hpp	27 Jan 2005 16:49:56 -0000	1.1
+++ detail/abi_suffix.hpp	2 Feb 2007 20:20:04 -0000
@@ -12,3 +12,8 @@
 #pragma warning(pop)
 #endif
 #include <boost/config/abi_suffix.hpp> // pops abi_suffix.hpp pragmas
+
+#if defined( __BORLANDC__ )
+#pragma nopushoptwarn
+#endif
+
